> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-3/v10-3-1.md).

# Version 10.3.1 Changelog (2024-03-11)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### Fixes

General Fixed an issue causing licenses to not work with the Web Component mode. Fixed an issue where the document could freeze when switching documents in WebViewer Server with `FullAPI` mode enabled. Fixed an issue where embedded JavaScript was losing reference to the original event object when going through nested scripts. Fixed an issue in which nested outlines were not redirecting to the correct place in the document. Fixed an issue with WebViewer jumping/scrolling to the top when height style is applied to the root DOM element.

Annotations Fixed an issue where opacity was not applied when setting TextColor for `FreeText` annotations. Fixed an issue where downloading files from File Attachment Annotations could use the path of the file as its default file name instead of its actual name. Fixed issue where copy-pasting a measurement ellipse annotation caused the caption to disappear. Fixed an issue where radio buttons were not working as intended when there is an appearance. Fixed a harmless console error when snapping is enabled on the rectangle annotation create tool.

Forms Fixed an issue where formatted data was not being cleared correctly in forms, resulting in incorrect data being shown when downloading the file or exporting the XFDF.

Content Edit Resolved an issue where hyperlinks were lost when entering edit mode. Fixed a bug where the Text Attributes from a Content Box were not updating correctly. Fixed several issues when editing PDFs with a rotated page. Fixed an issue where the return type of API `isInContentEditMode` in the JSDocs was incorrectly documented as void instead of boolean. Fixed an issue where rotating pages during text edit mode would disrupt text editing. Fixed a bug where fonts were incorrectly being overwritten. Fixed an issue where the event `textContentUpdated` sometimes returns a differently formatted HTML string. Fixed an issue where search and replace sometimes doesn't work. Fixed an issue where `ContentBoxEditor.getTextAttributes` does not return mixed text attributes. Fixed a bug preventing the typing of some special characters during content editing.

Security

* Fixed an issue with input validation of TextWidget input values.

## WebViewer UI

### Fixes

General

* Added missing data elements for stamp overlay, adding the capability to disable the add new custom stamp button as well as the delete custom stamp button, `createCustomStampButton` and `deleteCustomStampButton`.
* Fixed an issue where the 'Clear all' button in the Filter modal did not clear the 'Filter document and comments panel' option.
* Fixed an issue where full paths were displayed as file names in the File Attachment Panel.
* Fixed a bug where the Save Modal would not always close after pressing the Save File button.
* Fixed an issue with the recognition of URLs in PDF files.
* Fixed an issue where Thumbnail Panel multi-select mode was not disabling after loading a new document.
* Fixed an issue that caused an infinite loop when instance.UI.closeDocument was called.
* Removed additional padding from the initial free text.

Annotations

* Fixed an issue where the wrong parameter was passed to deleteAnnotations when clicking to delete an annotation in the right panel.
* Fixed an issue where dropdown did not function correctly in the custom stamp modal.

Forms

* Fixed an issue of flickering signature indicator in a form field.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-3/v10-3-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
